#ifndef KBREADCRUMB_H
#define KBREADCRUMB_H

#include <QTabBar>

namespace kdk
{
/**
 *  @defgroup BreadCrumb
 */
class KBreadCrumbPrivate;

/**
 * @brief KBreadCrumbType，包括两种类型。
 */
enum KBreadCrumbType
{
    FlatBreadCrumb,
    CubeBreadCrumb
};

/**
 * @brief 面包屑控件
 */
class KBreadCrumb : public QTabBar
{
    Q_OBJECT

public:
    explicit KBreadCrumb(QWidget *parent = nullptr);

    /**
     * @brief 设置图标
     * @param icon
     */
    void setIcon(const QIcon &icon);

    /**
     * @brief 获取图标
     * @return
     */
    QIcon icon() const;

    /**
     * @brief 返回按钮边框是否凸起
     * @return
     */
    bool  isFlat() const;

    /**
     * @brief 设置按钮边框是否凸起
     * @param flat
     */
    void  setFlat(bool flat);

protected:
    QSize tabSizeHint(int index) const;
    void paintEvent(QPaintEvent *event);

private:
    Q_DECLARE_PRIVATE(KBreadCrumb)
    KBreadCrumbPrivate*const d_ptr;
};
}


#endif // KBREADCRUMB_H
