#ifndef KLINEFRAME_H
#define KLINEFRAME_H

#include <QFrame>
#include "gui_g.h"
namespace kdk {

class KHLineFramePrivate;
class KVLineFramePrivate;

class GUI_EXPORT KHLineFrame : public QFrame
{
    Q_OBJECT
public:
    KHLineFrame(QWidget* parent = nullptr);
    ~KHLineFrame();

    /**
     * @brief 设置是否遵循默认色板
     * @param flag
     * @since 2.4
     */
    void setFollowPalette(bool flag);
private:
    Q_DECLARE_PRIVATE(KHLineFrame)
    KHLineFramePrivate* const d_ptr;
};

class GUI_EXPORT KVLineFrame : public QFrame
{
    Q_OBJECT
public:
    KVLineFrame(QWidget* parent = nullptr);
    ~KVLineFrame();
    /**
     * @brief 设置是否遵循默认色板
     * @param flag
     * @since 2.4
     */
    void setFollowPalette(bool flag);
private:
    Q_DECLARE_PRIVATE(KVLineFrame)
    KVLineFramePrivate* const d_ptr;
};

}
#endif // KLINEFRAME_H
